#!/tvbin/tivosh
# safe_reboot.tcl by rc3105@dealdatabase.com/forum
# reboots ONLY if there aren't any suggestion recordings in progress

set db [dbopen]
set reboot 1
set mfspath /Recording/InProgress

ForeachMfsFile fsid name type "$mfspath" "" {
	RetryTransaction {
	set rec [db $db openid $fsid]
	set state [dbobj $rec get State]
	switch $state {
		3 {
		set seltype [dbobj $rec get SelectionType]
	switch $seltype {
	
		6 { #puts "suggestion - reboot away" }
		0 { #puts "live buffer?" }
		
		default { set reboot 0 }		
	}
}
		default { }
		}
	}
}

if { $reboot == 0 } { 
	puts "busy, can't reboot"
	}

if { $reboot == 1 } {
	puts "rebooting"
	exec /tvbin/reboot 
}